<script>
import { mapActions } from 'vuex';

export default {
  computed: {
    isLoggedIn() {
      return this.$store.getters.isLoggedIn;
    },
  },
  methods: {
    ...mapActions('authentication', ['logout']),
    Logout() {
      this.logout('logout').then(() => {
        this.$router.push('/user/login');
      });
    },
  },
};
</script>
